﻿using System;
using System.Linq;
using System.IO;
using System.IO.IsolatedStorage;
using System.Collections.Generic;
using Microsoft.LightSwitch;
using Microsoft.LightSwitch.Framework.Client;
using Microsoft.LightSwitch.Presentation;
using Microsoft.LightSwitch.Presentation.Extensions;
using Telerik.Windows.Controls;
namespace LightSwitchApplication
{
	public partial class EditableLoadOnDemmandQueryGrid
	{
		RadScheduleViewControl rsvc;

		partial void EditableLoadOnDemmandQueryGrid_Created()
		{
			var svControl = this.FindControl("SVControl");

			svControl.ControlAvailable += new EventHandler<ControlAvailableEventArgs>(svControl_ControlAvailable);
		}

		void svControl_ControlAvailable(object sender, ControlAvailableEventArgs e)
		{
			rsvc = e.Control as RadScheduleViewControl;
			rsvc.xScheduleView.VisibleRangeChanged += xScheduleView_VisibleRangeChanged;
			xScheduleView_VisibleRangeChanged(rsvc.xScheduleView, null);
		}

		partial void LoadOnDemmandQuery_Loaded(bool succeeded)
		{
			if (succeeded)
			{
				rsvc.GetLSAppointments(this.LoadOnDemmandQuery.ToList<ScheduleViewAppt>());
			}
		}

		private void xScheduleView_VisibleRangeChanged(object sender, EventArgs e)
		{
			var visibleRange = ((RadScheduleView)sender).VisibleRange;
			//this.dateStart = visibleRange.Start;
			//this.dateEnd = visibleRange.End;
		}
	}
}
